#include "cJeu.hpp"
#include "constantes.hpp"
#include <SDL/SDL.h>
#include <iostream>
#include <SDL/SDL_mixer.h>

#include "cPoint.hpp"
#include "cSerpent.hpp"


int main (int argc, char** argv) {

	//musique

	if (Mix_OpenAudio(44100, MIX_DEFAULT_FORMAT, MIX_DEFAULT_CHANNELS, 1024) == -1); //api mixer
	{
	printf("&s", Mix_GetError());
	}
	Mix_Music *musique; 
	musique = Mix_LoadMUS("snake.mp3");
	Mix_PlayMusic(musique, -1);
	

	cJeu leJeu = cJeu();
	leJeu.gameInit();
	leJeu.gameRun();

	Mix_FreeMusic(musique);

    return 0;
}

